Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionConstants

public interface TransactionConstants

Field Summary
`static java.lang.String` | `ACTION_CODE`
`static java.lang.String` | `ACTION_CODE_CALL`
`static java.lang.String` | `AMOUNT`
`static java.lang.String` | `AUTHORIZED`
`static java.lang.String` | `AUTO_MARK_AUTO_SETTLE`
`static java.lang.String` | `AUTO_MARK_AUTO_SETTLE_AVS`
`static java.lang.String` | `AUTO_MARK_MANUAL_SETTLE`
`static java.lang.String` | `AUTO_MARK_MANUAL_SETTLE_AVS`
`static java.lang.String` | `BATCH_ACCEPTED`
`static java.lang.String` | `BATCH_COMMIT`
`static java.lang.String` | `BATCH_ID`
`static java.lang.String` | `BATCH_PREP`
`static java.lang.String` | `BATCH_QUERY`
`static java.lang.String` | `BATCH_RETRY`
`static java.lang.String` | `BATCH_STATUS`
`static java.lang.String` | `BATCH_UNROLL`
`static java.lang.String` | `CARD_QUERY`
`static java.lang.String` | `CHECK`
`static java.lang.String` | `CREDIT_CARD_ADDRESS`
`static java.lang.String` | `CREDIT_CARD_ADDRESS_CITY`
`static java.lang.String` | `CREDIT_CARD_ADDRESS_STATE`
`static java.lang.String` | `CREDIT_CARD_ADDRESS_STREET`
`static java.lang.String` | `CREDIT_CARD_ADDRESS_ZIP`
`static java.lang.String` | `CREDIT_CARD_EXPIRATION_DATE`
`static java.lang.String` | `CREDIT_CARD_NUMBER`
`static java.lang.String` | `CREDITCARD`
`static java.lang.String` | `CURRENCY_US`
`static java.lang.String` | `FAILEDRETRY`
`static java.lang.String` | `FAILEDSETTLE`
`static java.lang.String` | `FDC_BANK_PROCESSOR_ERROR`
`static java.lang.String` | `FDC_CALL`
`static java.lang.String` | `FDC_DECLINED`
`static java.lang.String` | `FDC_EXPIRED_CARD`
`static java.lang.String` | `FDC_OUT_OF_BALANCE`
`static java.lang.String` | `GPSA_BANK_PROCESSOR_ERROR`
`static java.lang.String` | `GPSA_CALL1`
`static java.lang.String` | `GPSA_CALL2`
`static java.lang.String` | `GPSA_DECLINED`
`static java.lang.String` | `GPSA_EXPIRED_CARD`
`static java.lang.String` | `GPSA_INVALID_AMOUNT`
`static java.lang.String` | `GPSA_INVALID_BANK_ID`
`static java.lang.String` | `GPSA_INVALID_CARD_NUMBER`
`static java.lang.String` | `GPSA_INVALID_MERCHANT_ID`
`static java.lang.String` | `GPSA_MERCHANT_CONFIG_ERROR`
`static java.lang.String` | `GPSS_BANK_PROCESSOR_ERROR`
`static java.lang.String` | `GPSS_CALL1`
`static java.lang.String` | `GPSS_CALL2`
`static java.lang.String` | `GPSS_DECLINED`
`static java.lang.String` | `GPSS_EXPIRED_CARD`
`static java.lang.String` | `GPSS_FORMAT_ERROR`
`static java.lang.String` | `GPSS_INVALID_AMOUNT`
`static java.lang.String` | `GPSS_INVALID_CARD_NUMBER`
`static java.lang.String` | `GPSS_INVALID_MERCHANT_ID`
`static java.lang.String` | `GPSS_MISSING_AUTH_CODE`
`static java.lang.String` | `GPSS_TRANSACTION_NOT_PERMITTED`
`static java.lang.String` | `GPSS_UNKNOWN_BANK_RESPONSE`
`static java.lang.String` | `HOST_AUTH_CAPTURE`
`static java.lang.String` | `HOST_AUTH_CAPTURE_AVS`
`static java.lang.String` | `HOST_POST_AUTH_CAPTURE`
`static java.lang.String` | `HOST_POST_AUTH_CAPTURE_AVS`
`static java.lang.String` | `MANUAL_AUTHORIZATION`
`static java.lang.String` | `MANUAL_MARK_AUTO_SETTLE`
`static java.lang.String` | `MANUAL_MARK_AUTO_SETTLE_AVS`
`static java.lang.String` | `MANUAL_MARK_MANUAL_SETTLE`
`static java.lang.String` | `MANUAL_MARK_MANUAL_SETTLE_AVS`
`static java.lang.String` | `MARKEDFORSETTLE`
`static java.lang.String` | `MAUTHCAPTURE`
`static java.lang.String` | `MAUTHONLY`
`static java.lang.String` | `MSTATUS`
`static java.lang.String` | `MSTATUS_FAILURE_BAD_MONEY`
`static java.lang.String` | `MSTATUS_FAILURE_HARD`
`static java.lang.String` | `MSTATUS_FAILURE_Q_OR_CANCEL`
`static java.lang.String` | `MSTATUS_FAILURE_Q_OR_DISCARD`
`static java.lang.String` | `MSTATUS_FAILURE_SWVERSION`
`static java.lang.String` | `MSTATUS_PARTIAL_SUCCESS`
`static java.lang.String` | `MSTATUS_SUCCESS`
`static java.lang.String` | `MSTATUS_SUCCESS_DUPLICATE`
`static java.lang.String` | `NOVA_BANK_PROCESSOR_ERROR`
`static java.lang.String` | `NOVA_CALL`
`static java.lang.String` | `NOVA_DECLINED`
`static java.lang.String` | `NOVA_EXPIRED_CARD`
`static java.lang.String` | `NOVA_FORMAT_ERROR`
`static java.lang.String` | `NOVA_INVALID_AMOUNT`
`static java.lang.String` | `NOVA_INVALID_CARD_NUMBER`
`static java.lang.String` | `NOVA_INVALID_MERCHANT_ID`
`static java.lang.String` | `NOVA_OUT_OF_BALANCE`
`static java.lang.String` | `NUMBER_OF_TRANSACTIONS`
`static java.lang.String` | `ORDER_ID`
`static java.lang.String` | `PASSWORD`
`static java.lang.String` | `PAYMENT_SERVICES_FILE`
`static java.lang.String` | `PAYMENTMODEL`
`static java.lang.String` | `PAYMENTTECH_BANK_PROCESSOR_ERROR`
`static java.lang.String` | `PAYMENTTECH_CALL1`
`static java.lang.String` | `PAYMENTTECH_CALL2`
`static java.lang.String` | `PAYMENTTECH_DECLINED`
`static java.lang.String` | `PAYMENTTECH_EXPIRED_CARD`
`static java.lang.String` | `PAYMENTTECH_INVALID_AMOUNT`
`static java.lang.String` | `PAYMENTTECH_INVALID_CARD_NUMBER`
`static java.lang.String` | `PAYMENTTECH_INVALID_MERCHANT_ID`
`static java.lang.String` | `PENDINGSETTLE`
`static java.lang.String` | `POSTAUTH`
`static java.lang.String` | `QUERY`
`static java.lang.String` | `QUERYFAILED`
`static java.lang.String` | `QUERYSUCCESS`
`static java.lang.String` | `REJECTED`
`static java.lang.String` | `RESPONSE_CODE`
`static java.lang.String` | `RETRY`
`static java.lang.String` | `RETRY_C`
`static java.lang.String` | `RETURN`
`static java.lang.String` | `SETTLE`
`static java.lang.String` | `SETTLED`
`static java.lang.String` | `SETTLEFAILED`
`static java.lang.String` | `SYSTEMFAILED`
`static java.lang.String` | `TRANSACTION_END_TIME`
`static java.lang.String` | `TRANSACTION_QUERY_HIGH_AMOUNT`
`static java.lang.String` | `TRANSACTION_QUERY_LOW_AMOUNT`
`static java.lang.String` | `TRANSACTION_QUERY_MAX_COUNT`
`static java.lang.String` | `TRANSACTION_START_TIME`
`static java.lang.String` | `TRANSACTION_STATE_MARKED`
`static java.lang.String` | `TRANSACTION_STATE_MARKED_RETURN`
`static java.lang.String` | `TRANSACTION_STATUS`
`static java.lang.String` | `TRANSACTION_TYPE`
`static java.lang.String` | `VITAL_BANK_PROCESSOR_ERROR`
`static java.lang.String` | `VITAL_CALL1`
`static java.lang.String` | `VITAL_CALL2`
`static java.lang.String` | `VITAL_DECLINED`
`static java.lang.String` | `VITAL_EXPIRED_CARD`
`static java.lang.String` | `VITAL_FORMAT_ERROR`
`static java.lang.String` | `VITAL_INVALID_AMOUNT`
`static java.lang.String` | `VITAL_INVALID_CARD_NUMBER`
`static java.lang.String` | `VITAL_INVALID_MERCHANT_ID`
`static java.lang.String` | `VOID`
`static java.lang.String` | `WELLS_FARGO_BANK_PROCESSOR_DATA_SOURCE_UNKNOWN`
`static java.lang.String` | `WELLS_FARGO_CALL`
`static java.lang.String` | `WELLS_FARGO_DECLINED`
`static java.lang.String` | `WELLS_FARGO_PROCESSOR_ERROR`

Field Detail

### CREDITCARD

    public static final java.lang.String CREDITCARD

### CHECK

    public static final java.lang.String CHECK

### PAYMENTMODEL

    public static final java.lang.String PAYMENTMODEL

### MAUTHCAPTURE

    public static final java.lang.String MAUTHCAPTURE

### MAUTHONLY

    public static final java.lang.String MAUTHONLY

### BATCH_COMMIT

    public static final java.lang.String BATCH_COMMIT

### BATCH_PREP

    public static final java.lang.String BATCH_PREP

### BATCH_QUERY

    public static final java.lang.String BATCH_QUERY

### BATCH_RETRY

    public static final java.lang.String BATCH_RETRY

### BATCH_UNROLL

    public static final java.lang.String BATCH_UNROLL

### CARD_QUERY

    public static final java.lang.String CARD_QUERY

### POSTAUTH

    public static final java.lang.String POSTAUTH

### QUERY

    public static final java.lang.String QUERY

### RETRY_C

    public static final java.lang.String RETRY_C

### RETURN

    public static final java.lang.String RETURN

### VOID

    public static final java.lang.String VOID

### MANUAL_AUTHORIZATION

    public static final java.lang.String MANUAL_AUTHORIZATION

### PAYMENT_SERVICES_FILE

    public static final java.lang.String PAYMENT_SERVICES_FILE

### AUTO_MARK_AUTO_SETTLE

    public static final java.lang.String AUTO_MARK_AUTO_SETTLE

### AUTO_MARK_AUTO_SETTLE_AVS

    public static final java.lang.String AUTO_MARK_AUTO_SETTLE_AVS

### MANUAL_MARK_AUTO_SETTLE

    public static final java.lang.String MANUAL_MARK_AUTO_SETTLE

### MANUAL_MARK_AUTO_SETTLE_AVS

    public static final java.lang.String MANUAL_MARK_AUTO_SETTLE_AVS

### AUTO_MARK_MANUAL_SETTLE

    public static final java.lang.String AUTO_MARK_MANUAL_SETTLE

### AUTO_MARK_MANUAL_SETTLE_AVS

    public static final java.lang.String AUTO_MARK_MANUAL_SETTLE_AVS

### MANUAL_MARK_MANUAL_SETTLE

    public static final java.lang.String MANUAL_MARK_MANUAL_SETTLE

### MANUAL_MARK_MANUAL_SETTLE_AVS

    public static final java.lang.String MANUAL_MARK_MANUAL_SETTLE_AVS

### HOST_AUTH_CAPTURE

    public static final java.lang.String HOST_AUTH_CAPTURE

### HOST_AUTH_CAPTURE_AVS

    public static final java.lang.String HOST_AUTH_CAPTURE_AVS

### HOST_POST_AUTH_CAPTURE

    public static final java.lang.String HOST_POST_AUTH_CAPTURE

### HOST_POST_AUTH_CAPTURE_AVS

    public static final java.lang.String HOST_POST_AUTH_CAPTURE_AVS

### ORDER_ID

    public static final java.lang.String ORDER_ID

### PASSWORD

    public static final java.lang.String PASSWORD

### AMOUNT

    public static final java.lang.String AMOUNT

### CURRENCY_US

    public static final java.lang.String CURRENCY_US

### CREDIT_CARD_NUMBER

    public static final java.lang.String CREDIT_CARD_NUMBER

### CREDIT_CARD_EXPIRATION_DATE

    public static final java.lang.String CREDIT_CARD_EXPIRATION_DATE

### CREDIT_CARD_ADDRESS

    public static final java.lang.String CREDIT_CARD_ADDRESS

### CREDIT_CARD_ADDRESS_STREET

    public static final java.lang.String CREDIT_CARD_ADDRESS_STREET

### CREDIT_CARD_ADDRESS_CITY

    public static final java.lang.String CREDIT_CARD_ADDRESS_CITY

### CREDIT_CARD_ADDRESS_ZIP

    public static final java.lang.String CREDIT_CARD_ADDRESS_ZIP

### CREDIT_CARD_ADDRESS_STATE

    public static final java.lang.String CREDIT_CARD_ADDRESS_STATE

### MSTATUS

    public static final java.lang.String MSTATUS

### MSTATUS_SUCCESS

    public static final java.lang.String MSTATUS_SUCCESS

### MSTATUS_SUCCESS_DUPLICATE

    public static final java.lang.String MSTATUS_SUCCESS_DUPLICATE

### MSTATUS_PARTIAL_SUCCESS

    public static final java.lang.String MSTATUS_PARTIAL_SUCCESS

### MSTATUS_FAILURE_HARD

    public static final java.lang.String MSTATUS_FAILURE_HARD

### MSTATUS_FAILURE_Q_OR_CANCEL

    public static final java.lang.String MSTATUS_FAILURE_Q_OR_CANCEL

### MSTATUS_FAILURE_Q_OR_DISCARD

    public static final java.lang.String MSTATUS_FAILURE_Q_OR_DISCARD

### MSTATUS_FAILURE_SWVERSION

    public static final java.lang.String MSTATUS_FAILURE_SWVERSION

### MSTATUS_FAILURE_BAD_MONEY

    public static final java.lang.String MSTATUS_FAILURE_BAD_MONEY

### TRANSACTION_TYPE

    public static final java.lang.String TRANSACTION_TYPE

### TRANSACTION_STATUS

    public static final java.lang.String TRANSACTION_STATUS

### TRANSACTION_START_TIME

    public static final java.lang.String TRANSACTION_START_TIME

### TRANSACTION_END_TIME

    public static final java.lang.String TRANSACTION_END_TIME

### TRANSACTION_QUERY_LOW_AMOUNT

    public static final java.lang.String TRANSACTION_QUERY_LOW_AMOUNT

### TRANSACTION_QUERY_HIGH_AMOUNT

    public static final java.lang.String TRANSACTION_QUERY_HIGH_AMOUNT

### TRANSACTION_QUERY_MAX_COUNT

    public static final java.lang.String TRANSACTION_QUERY_MAX_COUNT

### NUMBER_OF_TRANSACTIONS

    public static final java.lang.String NUMBER_OF_TRANSACTIONS

### TRANSACTION_STATE_MARKED

    public static final java.lang.String TRANSACTION_STATE_MARKED

### TRANSACTION_STATE_MARKED_RETURN

    public static final java.lang.String TRANSACTION_STATE_MARKED_RETURN

### BATCH_ID

    public static final java.lang.String BATCH_ID

### RESPONSE_CODE

    public static final java.lang.String RESPONSE_CODE

### BATCH_STATUS

    public static final java.lang.String BATCH_STATUS

### BATCH_ACCEPTED

    public static final java.lang.String BATCH_ACCEPTED

### AUTHORIZED

    public static final java.lang.String AUTHORIZED

### SETTLED

    public static final java.lang.String SETTLED

### MARKEDFORSETTLE

    public static final java.lang.String MARKEDFORSETTLE

### PENDINGSETTLE

    public static final java.lang.String PENDINGSETTLE

### REJECTED

    public static final java.lang.String REJECTED

### FAILEDSETTLE

    public static final java.lang.String FAILEDSETTLE

### SETTLEFAILED

    public static final java.lang.String SETTLEFAILED

### RETRY

    public static final java.lang.String RETRY

### FAILEDRETRY

    public static final java.lang.String FAILEDRETRY

### SYSTEMFAILED

    public static final java.lang.String SYSTEMFAILED

### QUERYFAILED

    public static final java.lang.String QUERYFAILED

### QUERYSUCCESS

    public static final java.lang.String QUERYSUCCESS

### SETTLE

    public static final java.lang.String SETTLE

### ACTION_CODE

    public static final java.lang.String ACTION_CODE

### ACTION_CODE_CALL

    public static final java.lang.String ACTION_CODE_CALL

### FDC_BANK_PROCESSOR_ERROR

    public static final java.lang.String FDC_BANK_PROCESSOR_ERROR

### FDC_OUT_OF_BALANCE

    public static final java.lang.String FDC_OUT_OF_BALANCE

### FDC_DECLINED

    public static final java.lang.String FDC_DECLINED

### FDC_EXPIRED_CARD

    public static final java.lang.String FDC_EXPIRED_CARD

### FDC_CALL

    public static final java.lang.String FDC_CALL

### GPSA_INVALID_CARD_NUMBER

    public static final java.lang.String GPSA_INVALID_CARD_NUMBER

### GPSA_EXPIRED_CARD

    public static final java.lang.String GPSA_EXPIRED_CARD

### GPSA_INVALID_MERCHANT_ID

    public static final java.lang.String GPSA_INVALID_MERCHANT_ID

### GPSA_INVALID_AMOUNT

    public static final java.lang.String GPSA_INVALID_AMOUNT

### GPSA_MERCHANT_CONFIG_ERROR

    public static final java.lang.String GPSA_MERCHANT_CONFIG_ERROR

### GPSA_INVALID_BANK_ID

    public static final java.lang.String GPSA_INVALID_BANK_ID

### GPSA_DECLINED

    public static final java.lang.String GPSA_DECLINED

### GPSA_CALL1

    public static final java.lang.String GPSA_CALL1

### GPSA_CALL2

    public static final java.lang.String GPSA_CALL2

### GPSA_BANK_PROCESSOR_ERROR

    public static final java.lang.String GPSA_BANK_PROCESSOR_ERROR

### GPSS_INVALID_MERCHANT_ID

    public static final java.lang.String GPSS_INVALID_MERCHANT_ID

### GPSS_INVALID_AMOUNT

    public static final java.lang.String GPSS_INVALID_AMOUNT

### GPSS_INVALID_CARD_NUMBER

    public static final java.lang.String GPSS_INVALID_CARD_NUMBER

### GPSS_FORMAT_ERROR

    public static final java.lang.String GPSS_FORMAT_ERROR

### GPSS_TRANSACTION_NOT_PERMITTED

    public static final java.lang.String GPSS_TRANSACTION_NOT_PERMITTED

### GPSS_MISSING_AUTH_CODE

    public static final java.lang.String GPSS_MISSING_AUTH_CODE

### GPSS_UNKNOWN_BANK_RESPONSE

    public static final java.lang.String GPSS_UNKNOWN_BANK_RESPONSE

### GPSS_DECLINED

    public static final java.lang.String GPSS_DECLINED

### GPSS_EXPIRED_CARD

    public static final java.lang.String GPSS_EXPIRED_CARD

### GPSS_CALL1

    public static final java.lang.String GPSS_CALL1

### GPSS_CALL2

    public static final java.lang.String GPSS_CALL2

### GPSS_BANK_PROCESSOR_ERROR

    public static final java.lang.String GPSS_BANK_PROCESSOR_ERROR

### NOVA_INVALID_MERCHANT_ID

    public static final java.lang.String NOVA_INVALID_MERCHANT_ID

### NOVA_INVALID_AMOUNT

    public static final java.lang.String NOVA_INVALID_AMOUNT

### NOVA_INVALID_CARD_NUMBER

    public static final java.lang.String NOVA_INVALID_CARD_NUMBER

### NOVA_FORMAT_ERROR

    public static final java.lang.String NOVA_FORMAT_ERROR

### NOVA_OUT_OF_BALANCE

    public static final java.lang.String NOVA_OUT_OF_BALANCE

### NOVA_DECLINED

    public static final java.lang.String NOVA_DECLINED

### NOVA_EXPIRED_CARD

    public static final java.lang.String NOVA_EXPIRED_CARD

### NOVA_CALL

    public static final java.lang.String NOVA_CALL

### NOVA_BANK_PROCESSOR_ERROR

    public static final java.lang.String NOVA_BANK_PROCESSOR_ERROR

### PAYMENTTECH_INVALID_MERCHANT_ID

    public static final java.lang.String PAYMENTTECH_INVALID_MERCHANT_ID

### PAYMENTTECH_INVALID_AMOUNT

    public static final java.lang.String PAYMENTTECH_INVALID_AMOUNT

### PAYMENTTECH_INVALID_CARD_NUMBER

    public static final java.lang.String PAYMENTTECH_INVALID_CARD_NUMBER

### PAYMENTTECH_CALL1

    public static final java.lang.String PAYMENTTECH_CALL1

### PAYMENTTECH_DECLINED

    public static final java.lang.String PAYMENTTECH_DECLINED

### PAYMENTTECH_EXPIRED_CARD

    public static final java.lang.String PAYMENTTECH_EXPIRED_CARD

### PAYMENTTECH_CALL2

    public static final java.lang.String PAYMENTTECH_CALL2

### PAYMENTTECH_BANK_PROCESSOR_ERROR

    public static final java.lang.String PAYMENTTECH_BANK_PROCESSOR_ERROR

### VITAL_INVALID_MERCHANT_ID

    public static final java.lang.String VITAL_INVALID_MERCHANT_ID

### VITAL_INVALID_AMOUNT

    public static final java.lang.String VITAL_INVALID_AMOUNT

### VITAL_INVALID_CARD_NUMBER

    public static final java.lang.String VITAL_INVALID_CARD_NUMBER

### VITAL_FORMAT_ERROR

    public static final java.lang.String VITAL_FORMAT_ERROR

### VITAL_DECLINED

    public static final java.lang.String VITAL_DECLINED

### VITAL_EXPIRED_CARD

    public static final java.lang.String VITAL_EXPIRED_CARD

### VITAL_CALL1

    public static final java.lang.String VITAL_CALL1

### VITAL_CALL2

    public static final java.lang.String VITAL_CALL2

### VITAL_BANK_PROCESSOR_ERROR

    public static final java.lang.String VITAL_BANK_PROCESSOR_ERROR

### WELLS_FARGO_PROCESSOR_ERROR

    public static final java.lang.String WELLS_FARGO_PROCESSOR_ERROR

### WELLS_FARGO_DECLINED

    public static final java.lang.String WELLS_FARGO_DECLINED

### WELLS_FARGO_CALL

    public static final java.lang.String WELLS_FARGO_CALL

### WELLS_FARGO_BANK_PROCESSOR_DATA_SOURCE_UNKNOWN

    public static final java.lang.String WELLS_FARGO_BANK_PROCESSOR_DATA_SOURCE_UNKNOWN

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved